Skip to main content
Jump to: navigation, search

Difference between revisions of "Sirius/6.0.0"

(Compatibility & Requirements)
Line 24: Line 24:
 
* Eclipse 4.7 (Oxygen).
 
* Eclipse 4.7 (Oxygen).
 
* Eclipse 4.8 (Photon). Photon is the reference platform.
 
* Eclipse 4.8 (Photon). Photon is the reference platform.
 +
 +
''Note:'' The new (and still experimental) 'Workflow' and 'Server' features depend on a specific version of Eclipse Jetty which is available in the main Eclipse Photon repository but not from Oxygen repository. If you want to install these inside an Oxygen-based environment you need to explicitly register the <code>http://download.eclipse.org/jetty/updates/jetty-bundles-9.x/9.4.10.v20180503/</code> p2 repository for the dependencies to resolve.
  
 
== New & Noteworthy ==
 
== New & Noteworthy ==

Revision as of 03:08, 21 August 2018

Sirius 6.0.0 is a major release and part of Eclipse Photon. See the release record for an overview of the major features and important bug fixes.

Note that two new optional features introduced in this version are considered experimental at the moment:

  • The Sirius ELK Integration feature (org.eclipse.sirius.diagram.elk.feature).
  • The Sirius Support for Modeling Workflows feature (org.eclipse.sirius.workflow.feature).

Adopters are welcome to test them and [feedback http://www.eclipse.org/forums/index.php?t=thread&frm_id=262] is very welcome, but they should not be used on production modelers at the moment.

Availability

Sirius 6.0.0 was released on 2018-06-27 as part of Eclipse Photon (tag v6.0.0, commit a2a0e97e2b99d7d497dcde96531c06d1decda263). It is available from the following update sites:

It is recommended you use the update-site matching the version of Eclipse you use to avoid potential issues at runtime.

The complete JUnit and SWTBot test suites used to validate Sirius are published along with all their dependencies in separate update-sites from the core, available at:

Compatibility & Requirements

Sirius 6.0.0 is compatible with the following versions of Eclipse:

  • Eclipse 4.7 (Oxygen).
  • Eclipse 4.8 (Photon). Photon is the reference platform.

Note: The new (and still experimental) 'Workflow' and 'Server' features depend on a specific version of Eclipse Jetty which is available in the main Eclipse Photon repository but not from Oxygen repository. If you want to install these inside an Oxygen-based environment you need to explicitly register the http://download.eclipse.org/jetty/updates/jetty-bundles-9.x/9.4.10.v20180503/ p2 repository for the dependencies to resolve.

New & Noteworthy

The complete list of (54) tickets fixed in Sirius 6.0.0 can be found here.

The release notes with highlights will soon be published at here.

Back to the top